﻿using System;
using Wisej.Web;


namespace LinkClickTest
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
            UpdateCounters();
        }

        private int linkClickedCounter, clickCounter;

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            linkClickedCounter++;
            UpdateCounters();
        }

        private void linkLabel1_Click(object sender, EventArgs e)
        {
            clickCounter++;
            UpdateCounters();
        }

        private void UpdateCounters()
        {
            label1.Text = $"LinkClicked: {linkClickedCounter}";
            label2.Text = $"Click: {clickCounter}";
        }
    }
}
